summaryrefslogtreecommitdiff
path: root/packages/tinc/files/init
diff options
context:
space:
mode:
authorKoen Kooi <koen@openembedded.org>2005-06-30 08:19:37 +0000
committerOpenEmbedded Project <openembedded-devel@lists.openembedded.org>2005-06-30 08:19:37 +0000
commitc8e5702127e507e82e6f68a4b8c546803accea9d (patch)
tree00583491f40ecc640f2b28452af995e3a63a09d7 /packages/tinc/files/init
parent87ec8ca4d2e2eb4d1c1e1e1a6b46a395d56805b9 (diff)
import clean BK tree at cset 1.3670
Diffstat (limited to 'packages/tinc/files/init')
-rw-r--r--packages/tinc/files/init77
1 files changed, 77 insertions, 0 deletions
diff --git a/packages/tinc/files/init b/packages/tinc/files/init
index e69de29bb2..eb8b35bd12 100644
--- a/packages/tinc/files/init
+++ b/packages/tinc/files/init
@@ -0,0 +1,77 @@
+#! /bin/sh
+#
+# System startup script for tinc
+# $Id: tinc,v 1.1 2004/02/19 12:40:16 br1 Exp $
+#
+# Based on Lubomir Bulej's Redhat init script.
+#
+# Create a file $NETSFILE (/etc/tinc/nets.boot), and put all the names of
+# the networks in there. These names must be valid directory names under
+# $TCONF (/etc/tinc). Lines starting with a # will be ignored in this
+# file.
+#
+
+DAEMON="/usr/sbin/tincd"
+NAME="tinc"
+DESC="tinc daemons"
+TCONF="/etc/tinc"
+EXTRA=""
+NETSFILE="$TCONF/nets.boot"
+NETS=""
+
+test -f $DAEMON || exit 0
+
+find_nets () {
+ if [ ! -f $NETSFILE ] ; then
+ echo "Please create $NETSFILE."
+ exit 0
+ fi
+ NETS="`egrep '^[ ]*[a-zA-Z0-9_]+[ ]*$' $NETSFILE`"
+}
+
+case "$1" in
+ start)
+ find_nets
+ echo -n "Starting $DESC:"
+ for n in $NETS ; do
+ echo -n " $n"
+ $DAEMON -n $n $EXTRA
+ done
+ echo "."
+ ;;
+ stop)
+ find_nets
+ echo -n "Stopping $DESC:"
+ for n in $NETS ; do
+ echo -n " $n"
+ $DAEMON -n $n $EXTRA -k
+ done
+ echo "."
+ ;;
+ reload)
+ find_nets
+ echo -n "Reloading $DESC configuration:"
+ for n in $NETS ; do
+ echo -n " $n"
+ $DAEMON -n $n $EXTRA -k1
+ done
+ echo "."
+ ;;
+ restart|force-reload)
+ find_nets
+ echo -n "Restarting $DESC:"
+ for n in $NETS ; do
+ echo -n " $n"
+ $DAEMON -n $n $EXTRA -k
+ sleep 1
+ $DAEMON -n $n $EXTRA
+ done
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/$NAME {start|stop|reload|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0